#ifndef TRI_PLATFORM_PA
#define TRI_PLATFORM_PA

#include "TriStructs.h"
#include "TriStatus.h"

typedef TriStatus (*FTriPAReset) (void);

typedef TriStatus (*FTriStartTimer) (const TriTimerId * timerId,
		TriTimerDuration timerDuration);

typedef TriStatus (*FTriStopTimer) (const TriTimerId * timerId);

typedef TriStatus (*FTriReadTimer) (const TriTimerId * timerId,
		TriTimerDuration * elapsedTime);
		
typedef TriStatus (*FTriTimerRunning) (const TriTimerId * timerId,
		unsigned char * running);

typedef TriStatus (*FTriExternalFunction) (const TriFunctionId * functionId,
		TriParameterList * parameterList, TriParameter * returnValue);

#endif
